Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class ContinuousQueryCache.RemoveListener

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.MultiplexingMapListener
com.tangosol.net.cache.ContinuousQueryCache.RemoveListener`

All Implemented Interfaces:
  MapListener, MapListenerSupport.SynchronousListener, SynchronousListener, EventListener

Enclosing class:
  ContinuousQueryCache

      public class ContinuousQueryCache.RemoveListener

extends MultiplexingMapListener
implements MapListenerSupport.SynchronousListener

A MapListener for evicting items from the ContinuousQueryCache.

Constructor Summary
`ContinuousQueryCache.RemoveListener()`

Method Summary
`protected void` | `onMapEvent(MapEvent evt)` Invoked when a map entry has been inserted, updated or deleted.
`String` | `toString()` Produce a human-readable description of this object.

Methods inherited from class com.tangosol.util.MultiplexingMapListener
`entryDeleted, entryInserted, entryUpdated`

Methods inherited from interface com.tangosol.util.MapListener
`entryDeleted, entryInserted, entryUpdated`

Constructor Detail

### ContinuousQueryCache.RemoveListener

    public ContinuousQueryCache.RemoveListener()

Method Detail

### onMapEvent

    protected void onMapEvent(MapEvent evt)

  Invoked when a map entry has been inserted, updated or deleted. To determine what action has occurred, use `MapEvent.getId()`.
  Specified by:
    `onMapEvent` in class `MultiplexingMapListener`
  Parameters:
    `evt` - the MapEvent carrying the insert, update or delete information

### toString

    public String toString()

  Produce a human-readable description of this object.
  Returns:
    a String describing this object

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.